Routes
Get collections
GEThttps://api.insurely.com/collections
Returns all collections for the authenticated user within the client scope.
Request
Query Parameters
latestboolean
Return only the latest collection per company
statusInArray<string>
Filter by collection status (e.g. COMPLETED, FAILED)
Header Parameters
Insurely-Versionstring
The API version to use, as YYYY-MM-DD. Must match the version of the endpoint you are targeting. A request without it, or with a version older than the client's minimum API version, is served by the client's minimum API version.
Possible Enum values are
2026-04-01.Responses
Collections retrieved successfully.
Body
collectionIdstring
Unique identifier for the collection.
companystring
Company identifier.
createdAtstring[date-time]
Timestamp when the collection was created.
loginMethodstring
Login method used for the collection.
Possible Enum values are
SWEDISH_MOBILE_BANKID_OTHER_DEVICE, SWEDISH_MOBILE_BANKID_OTHER_DEVICE_MOCK, SWEDISH_MOBILE_BANKID_SAME_DEVICE, SWEDISH_MOBILE_BANKID_SAME_DEVICE_CLIENT_SIDE_AUTHENTICATION, SWEDISH_MOBILE_BANKID_SAME_DEVICE_CLIENT_SIDE_AUTHENTICATION_MOCK, SWEDISH_MOBILE_BANKID_OTHER_DEVICE_TEST, SWEDISH_MOBILE_BANKID_SAME_DEVICE_TEST, SWEDISH_SECURITY_TOKEN or EMAIL.statusstring
Current status of the collection.
cURL
curl https://api.insurely.com/collections?latest=your-value&statusIn=your-value \
-H "Authorization: Bearer <jwt-token>" \
-H "Insurely-Version: 2026-04-01"RESPONSE 200
[
{
"collectionId": "117a54401a0a1234ac765a85eaee7ea9",
"company": "se-lansforsakringar",
"createdAt": "2026-04-01T10:30:00",
"loginMethod": "SWEDISH_MOBILE_BANKID_SAME_DEVICE",
"status": "COMPLETED"
},
{
"collectionId": "282ebe51cf6f4b8d9b8bbb94c14878db",
"company": "se-if",
"createdAt": "2026-03-28T08:12:00",
"loginMethod": "SWEDISH_MOBILE_BANKID_OTHER_DEVICE",
"status": "COMPLETED"
}
]